#ifndef FILEMACLABELWIDGET_H
#define FILEMACLABELWIDGET_H

#include "parsec_mac_qt5_global.h"

#include <QWidget>


namespace Ui
{
    class FileMacLabelWidget;
}

namespace ParsecQt5
{

class SpecialAttributesListModel;

class PARSEC_MAC_QT5_EXPORT FileMacLabelWidget : public QWidget
{

    Q_OBJECT

signals:

    void changed();

public:

    FileMacLabelWidget( QWidget */*parent*/ = nullptr );
    ~FileMacLabelWidget();

    void getfmac( const QString & /*path*/ );
    bool chmac( const QString & /*path*/ );

private:
    void *currentLabelWithoutFlags() const;

    Ui::FileMacLabelWidget *_ui;
    SpecialAttributesListModel *_specialAttributesModel;
};

}
#endif // FILEMACLABELWIDGET_H
