/*

  Author(s): Ilja V. Ryndin (ryndin@pinebrush.com)

  Start date: *

*/

#ifndef MACCATEGORYPUSHBUTTON_H
#define MACCATEGORYPUSHBUTTON_H

#include "parsec_mac_qt5_global.h"

#include "parsec_mac_qt5_global.h"

#include <QPushButton>

namespace ParsecQt5
{
    class MacCategoryListWidget;

    class PARSEC_MAC_QT5_EXPORT MacCategoryPushButton : public QPushButton
    {
    Q_OBJECT

    public:

        MacCategoryPushButton( QWidget *parent = nullptr );
        virtual ~MacCategoryPushButton();

        void apply();

    private slots:
        void categoryListWidgetEditingFinished();
        void clicked();

    private:

        MacCategoryListWidget *m_macCategoryListWidget;
    };
}

#endif // MACCATEGORYPUSHBUTTON_H
