/*

  Author(s): Ilja V. Ryndin (ryndin@pinebrush.com)

  Start date: *

*/

#ifndef MACTYPECOMBOBOX_H
#define MACTYPECOMBOBOX_H

#include <parsec/mac.h>

#include <QComboBox>

#include "parsec_mac_qt5_global.h"

namespace ParsecQt5
{
    class PARSEC_MAC_QT5_EXPORT MacTypeComboBox : public QComboBox
    {
    Q_OBJECT

    public:

        MacTypeComboBox( QWidget *parent = nullptr );
        virtual ~MacTypeComboBox();

        void setValue( mac_type_t );
        mac_type_t value();

    private:

        QList<mac_type_t> m_types;
    };
}

#endif // MACTYPECOMBOBOX_H
